@use 'sass:color';

@import '_variables';
@import '_mixins';
@import '_bootstrap-mixins';

.peertube-radio-container {
  [type=radio]:checked,
  [type=radio]:not(:checked) {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }

  [type=radio]:checked + label,
  [type=radio]:not(:checked) + label {
    position: relative;
    padding-left: 20px;
    cursor: pointer;
    line-height: 20px;
    display: inline-block;
    font-weight: normal
  }

  [type=radio]:checked + label::before,
  [type=radio]:not(:checked) + label::before {
    content: '';
    position: absolute;
    left: 0;
    top: 2px;
    width: 14px;
    height: 14px;
    border: 1px solid #C6C6C6;
    border-radius: 100%;
    background: #fff;
  }

  [type=radio]:checked + label::after,
  [type=radio]:not(:checked) + label::after {
    content: '';
    width: 8px;
    height: 8px;
    background: $orange-main;
    position: absolute;
    top: 5px;
    left: 3px;
    border-radius: 100%;
    transition: all 0.2s ease;
  }
  [type=radio]:not(:checked) + label::after {
    opacity: 0;
    transform: scale(0);
  }
  [type=radio]:checked + label::after {
    opacity: 1;
    transform: scale(1);
  }

  [type=radio]:focus-visible + label::before {
    outline: 2px solid $main-font-color;
  }
}

// ---------------------------------------------------------------------------

.peertube-button {
  padding: 0.5rem 1rem;
  display: inline-block;
  font-weight: $font-bold;
  border-radius: 6px;
  text-align: center;
  border: 2px solid $orange-main;
  transition: opacity 0.2s;
  font-size: 0.875rem;
  cursor: pointer;
  line-height: 1.35;

  &:focus-visible {
    box-shadow: 0 0 0 0.25rem $main-font-color;
  }
}

.peertube-primary-button {
  border: 2px solid $orange-main;
  color: #fff;
  background: $orange-main;

  &:hover {
    opacity: 0.8 !important;
    color: #fff;
  }
}

.peertube-secondary-button {
  color: $main-font-color;
  background: transparent;

  &:hover {
    opacity: 0.8;
    background: rgb(242, 105, 13, 0.1);
    color: $main-font-color;
  }
}

.peertube-button-link {
  &, &:hover, &:focus, &:active {
    text-decoration: none !important;
  }
}

// ---------------------------------------------------------------------------

.select-container {
  padding: 0;
  margin: 0;
  width: 100%;
  border-radius: 3px;
  position: relative;
  background-color: #fff;
  color: #000;

  &:focus-within {
    box-shadow: 0 0 0 0.25rem $main-font-color;
  }

  &:after {
    top: 50%;
    right: calc(0% + 15px);
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border: 5px solid rgba(0, 0, 0, 0);
    border-top-color: #000;
    margin-top: -2px;
    z-index: 100;
  }

  select {
    padding: 0 35px 0 12px;
    position: relative;
    border: 1px solid $border-input-color;
    background: transparent none;
    appearance: none;
    cursor: pointer;
    height: $input-height;
    width: 100%;
    text-overflow: ellipsis;

    &:focus {
      outline: none;
    }

    &:-moz-focusring {
      color: transparent;
      text-shadow: 0 0 0 #000;
    }

    option {
      color: #000;
    }
  }
}

.classic-input-text {
  display: block;
  min-height: 30px;
  width: 100%;
  border: 1px solid $border-input-color;
  padding: 0 35px 0 12px;
  outline: 0;
}

.ti-tag {
  background: $orange-600 !important;
}

// ---------------------------------------------------------------------------

.peertube-link {
  color: $main-font-color;
  font-weight: $font-bold;
  border-bottom: 3px solid $orange-main;
  transition: border-bottom-width 0.2s ease;
  text-decoration: none;
  transition: color 0.1s;

  &:hover {
    text-decoration: none;
    color: color.scale($main-font-color, $lightness: +20%);
  }
}

// ---------------------------------------------------------------------------

.card {
  @include padding(2.5rem);

  background-color: $beige-500;
  border: 1px solid $beige-700;
  border-radius: 16px;

  @include media-breakpoint-down(sm) {
    @include all-width-block;
    @include padding(2.5rem 1rem);

    border: none;
    border-radius: 0;
  }
}

.search-card-result {
  @include padding(1.5rem);

  display: flex;
  background-color: #fff;
  border: 1px solid $beige-700;
  border-radius: 4px;

  h4 {
    color: $main-font-color;
    font-size: 1.25rem;
    margin-top: 0;
    margin-bottom: 0.5rem;
    font-weight: 500;
    line-height: 1.2;

    a {
      text-decoration: none;
      color: inherit;

      &:hover {
        opacity: 0.8;
      }
    }

    & + .small-separator {
      margin-bottom: 1rem;
      height: 3px;
      width: 25px;
    }
  }

  .image-container {
    margin-right: 2rem;
    flex-shrink: 0;
  }

  .metadata,
  .description {
    font-size: 0.875rem;
  }

  .description {
    a {
      text-decoration: underline;

      &:hover {
        opacity: 0.8;
      }
    }
  }

  .metadata {
    label {
      color: $secondary-font-color;
      margin-top: 0.25rem;
      margin-right: 0.5rem;
    }
  }

  .button-link-container {
    text-align: right;
    margin-top: 1rem;
  }

  @include media-breakpoint-down(sm) {
    @include all-width-block;

    border-right: 0;
    border-left: 0;
    border-radius: 0;
    flex-direction: column;

    .image-container {
      margin-right: 0;
    }

    h4 {
      margin-top: 2rem;
    }

    .button-link-container {
      text-align: left;
      margin-top: 1.5rem;
    }
  }
}

// ---------------------------------------------------------------------------

.muted {
  color: $grey;
}

.wrap-text {
  word-break: break-word;
  word-wrap: break-word;
  overflow-wrap: break-word;
}

.small-separator {
  width: 50px;
  height: 6px;
  background: #f2690d;
  border-radius: 4px;
}
